Bug 241920 - databases/mysql57-server: Update to 5.7.28
Summary: databases/mysql57-server: Update to 5.7.28
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jochen Neumeister
URL:
Keywords:
: 242311 (view as bug list)
Depends on:
Blocks:
 
Reported: 2019-11-12 15:55 UTC by Christos Chatzaras
Modified: 2019-12-05 18:17 UTC (History)
10 users (show)

See Also:
bugzilla: maintainer-feedback? (mmokhi)
i.dani: maintainer-feedback? (ports-secteam)


Attachments
Update to 5.7.28 (5.63 KB, patch)
2019-11-24 17:22 UTC, Max Khon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christos Chatzaras 2019-11-12 15:55:43 UTC
Please update MySQL to 5.7.28
Comment 1 Panthera 2019-11-14 09:15:25 UTC
Oracle hasn't released a FreeBSD version of the latest release yet.


For completeness, here's the vulnerability & CVE info:
https://vuxml.FreeBSD.org/freebsd/fc91f2ef-fd7b-11e9-a1c7-b499baebfeaf.html
https://www.oracle.com/security-alerts/cpuoct2019.html#AppendixMSQL
Comment 2 Christos Chatzaras 2019-11-19 10:41:14 UTC
Any idea why Oracle didn't release 5.7.28 for FreeBSD yet?
Comment 3 Panthera 2019-11-19 11:05:46 UTC
(In reply to Christos Chatzaras from comment #2)

This is pretty normal. FreeBSD is generally the last platform to be released, usually a few weeks after the rest. 

Once it has been released mmokhi and/or others probably need some time as well before the port gets updated.
Comment 4 ninex 2019-11-19 18:29:23 UTC
Oracle will not be releasing any new updates for 5.7 for FreeBSD, they have marked it End of Life - https://www.mysql.com/support/eol-notice.html
Comment 5 Dani 2019-11-20 13:28:57 UTC
As far as i can see, FreeBSD uses mysql-boost-5.7.28.tar.gz and not the FreeBSD-specific archive. So this shouldn't really be a problem and 5.7.28 should build and work fine.

Looks like many CMakeLists fail and need to be rebuilt. See NetBSD -> https://github.com/NetBSD/pkgsrc/commit/447347f88fb0becd10a6624ba89894914cf6345a#diff-197f37456210f2eefaac0f44a28aeb63
Comment 6 Max Khon freebsd_committer 2019-11-24 17:22:03 UTC
Created attachment 209389 [details]
Update to 5.7.28
Comment 7 Jochen Neumeister freebsd_committer 2019-12-05 10:09:00 UTC
Hello,
the maintainer is unfortunately very busy at the moment, and I am currently taking over his work.
Please give me a hand: does the client still need to be changed?
Comment 8 Jochen Neumeister freebsd_committer 2019-12-05 10:27:21 UTC
*** Bug 242311 has been marked as a duplicate of this bug. ***
Comment 9 commit-hook freebsd_committer 2019-12-05 18:12:40 UTC
A commit references this bug:

Author: joneum
Date: Thu Dec  5 18:12:08 UTC 2019
New revision: 519098
URL: https://svnweb.freebsd.org/changeset/ports/519098

Log:
  Update to 5.7.28

  Changelog: https://dev.mysql.com/doc/relnotes/mysql/5.7/en/news-5-7-28.html

  PR:		241920
  Approved by:	mmokhi (maintainer, implicit)
  Sponsored by:	Netzkommune GmbH

Changes:
  head/databases/mysql57-server/Makefile
  head/databases/mysql57-server/distinfo
  head/databases/mysql57-server/files/patch-client_CMakeLists.txt
  head/databases/mysql57-server/files/patch-libmysql_CMakeLists.txt
  head/databases/mysql57-server/files/patch-sql_mysqld.cc